1

Our company rented server (Windows Server 2016) where we've got ArcGiS Server (Enterprise) + FME Server. And some FME jobs (workbenches) using FME SDE Readers. So reades takes some vector objects from SDE base and then make some transformations with them. And all works fine.

Week ago we are migrated to another server (Windows Server 2016 again). So we are reinstall ArcGiS Enterprise (+ restore backups) and then reinstall FME server (+restore backups too). All jobs working fine except those, which are using FeatureReader "Esri Geodatabase (ArcSDE Geodb)". Is some reason when I'm tried to start jobs I've got an error

74  2022-1-12 18:57:56 | Creating reader for format: Esri Geodatabase (ArcSDE Geodb)
75  2022-1-12 18:57:56 | Trying to find a DYNAMIC plugin for reader named `GEODATABASE_SDE'
76  2022-1-12 18:57:56 | Loaded module 'GEODATABASE_SDE' from file 'C:\Program Files\FMEServer\Server\fme\GEODATABASE9.dll'
77  2022-1-12 18:57:56 | FME API version of module 'GEODATABASE_SDE' matches current internal version (3.8 20200115)
78  2022-1-12 18:57:56 | Performing query against GEODATABASE_SDE dataset `<Unused>'
79  2022-1-12 18:57:56 | Creating reader for format: Esri Geodatabase (ArcSDE Geodb)
80  2022-1-12 18:57:56 | Trying to find a DYNAMIC plugin for reader named `GEODATABASE_SDE'
81  2022-1-12 18:57:56 | FME API version of module 'GEODATABASE_SDE' matches current internal version (3.8 20200115)
82  2022-1-12 18:57:56 | Opening the Geodatabase reader
83  2022-1-12 18:57:57 | Unable to perform any licensing related tasks. This 64-bit version of FME requires 64-bit Background Geoprocessing, ArcGIS Pro or ArcGIS Server. Refer to this this article http://fme.ly/qua for more details

And then another bunch of errors

102 2022-1-12 18:57:57 | Creating reader for format: Esri Geodatabase (ArcSDE Geodb)
103 2022-1-12 18:57:57 | Trying to find a DYNAMIC plugin for reader named `GEODATABASE_SDE'
104 2022-1-12 18:57:57 | FME API version of module 'GEODATABASE_SDE' matches current internal version (3.8 20200115)
105 2022-1-12 18:57:57 | Performing query against GEODATABASE_SDE dataset `<Unused>'
106 2022-1-12 18:57:57 | Opening the Geodatabase reader
107 2022-1-12 18:57:57 | Unable to perform any licensing related tasks. This 64-bit version of FME requires 64-bit Background Geoprocessing, ArcGIS Pro or ArcGIS Server. Refer to this this article http://fme.ly/qua for more details
108 2022-1-12 18:57:57 | A fatal error has occurred. Check the logfile above for details
109 2022-1-12 18:57:57 | FeatureReader (QueryFactory): A fatal error has occurred. Check the logfile above for details
110 2022-1-12 18:57:57 | A fatal error has occurred. Check the logfile above for details
111 2022-1-12 18:57:57 | AttributeFilter_Filter (AttributeFilterFactory):
112 2022-1-12 18:57:57 | A fatal error has occurred. Check the logfile above for details
113 2022-1-12 18:57:57 | StringReplacer_2 (StringReplacerFactory):
114 2022-1-12 18:57:57 | AttributeKeeper (AttributeKeeperFactory): A fatal error has occurred. Check the logfile above for details
115 2022-1-12 18:57:57 | A fatal error has occurred. Check the logfile above for details
116 2022-1-12 18:57:57 | StringReplacer (StringReplacerFactory):
117 2022-1-12 18:57:57 | AttributeKeeper_2 (AttributeKeeperFactory): A fatal error has occurred. Check the logfile above for details
118 2022-1-12 18:57:57 | A fatal error has occurred. Check the logfile above for details
119 2022-1-12 18:57:57 | FeatureJoiner (FeatureJoinerFactory): A fatal error has occurred. Check the logfile above for details
120 2022-1-12 18:57:57 | FeatureJoiner (FeatureJoinerFactory): A fatal error has occurred. Check the logfile above for details
121 2022-1-12 18:57:57 | A fatal error has occurred. Check the logfile above for details

So, in some reason, FME Server didn't see ArcGIS Server license. As I understand correctly. How can I solve this error? May be there is configuration file for FME somewhere and I need to write arcgis server license inside it.

Any help would be nice

5
  • The answer is in your log file. You need the 64-bit Background Geoprocessing installed. As you are using 64bit FME. This is a separate ESRI download desktop.arcgis.com/en/arcmap/latest/analyze/executing-tools/…
    – Mapperz
    Jan 13 at 16:09
  • Here is some extra useful information community.safe.com/s/article/…
    – Mapperz
    Jan 13 at 16:11
  • 1
    Well, isn't ArcGIS Server (Enterprise) always 64-bit? I'd look at other things like ArcGIS Server being properly licensed, the user running the services, version compatibility between both products... Check this other URL, which is the one the log points at community.safe.com/s/article/…
    – fgiron
    Jan 13 at 17:40
  • @Mapperz Background Processing available only for ArcGIS Desktop (ArcMap) and it's not possible to install Background Processing without ArcMap. Btw, Background Processing doesn't exists for server
    – Slinger
    Jan 14 at 10:27
  • @fgiron thx for your answer. May be you're right and there is version conflict. I'll check it.
    – Slinger
    Jan 14 at 10:27

1 Answer 1

1

Finally, problem solved. It's compatibility question. ArcGis Server 10.9.1 can only work with FME Server 2021.2.. and upper. Earlier FME server versions just can't see newer Enterprise and we've got license error.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.